//
//  TableViewController.m
//  Section
//
//  Created by nyuguest on 8/2/13.
//  Copyright (c) 2013 nyuguest. All rights reserved.
//

#import "TableViewController.h"

@interface TableViewController ()
@end

@implementation TableViewController

- (id) initWithStyle: (UITableViewStyle)style
{
	self = [super initWithStyle:style];
	if (self) {
		// Custom initialization
		cellReuseIdentifier = @"zones";

		//An array of five strings.
		headers = [NSArray arrayWithObjects:
			@"EST: Eastern Standard Time",
			@"CST: Central Standard Time",
			@"MST: Mountain Standard Time",
			@"PST: Pacific Standard Time",
			@"\nMiscellaneous",	//The \n (newline) skips an extra line.
			nil
		];

		//An array of five arrays (Miyamoto Musashi).
		zones = [NSArray arrayWithObjects:
				  
			//EST: Eastern Standard Time
			[NSArray arrayWithObjects:
				@"Alabama",
				@"Connecticut",
				@"Delaware",
				@"Florida",
				@"Georgia",
				@"Indiana",
				@"Kentucky",
				@"Maine",
				@"Maryland",
				@"Massachusetts",
				@"Michigan",
				@"New Hampshire",
				@"New Jersey",
				@"New York",
				@"North Carolina",
				@"Ohio",
				@"Pennsylvania",
				@"Rhode Island",
				@"South Carolina",
				@"Tennessee",
				@"Vermont",
				@"Virginia",
				@"West Virginia",
				nil
			],

			//CST: Central Standard Time
			[NSArray arrayWithObjects:
				@"Arkansas",
				@"Illinois",
				@"Iowa",
				@"Kansas",
				@"Louisiana",
				@"Minnesota",
				@"Mississippi",
				@"Missouri",
				@"Nebraska",
				@"North Dakota",
				@"Oklahoma",
				@"South Dakota",
				@"Texas",
				@"Wisconsin",
				nil
			],

			//MST: Mountain Standard Time
			[NSArray arrayWithObjects:
				@"Arizona",
				@"Colorado",
				@"Idaho",
				@"Montana",
				@"New Mexico",
				@"Utah",
				@"Wyoming",
				nil
			],

			//PST: Pacific Standard Time
			[NSArray arrayWithObjects:
				@"California",
				@"Nevada",
				@"Oregon",
				@"Washington",
				nil
			],

			//Miscellaneous
			[NSArray arrayWithObjects:
				@"Alaska",
				@"Hawaii",
				nil
			],
				  
			nil
		];
	}
	return self;
}

- (void) viewDidLoad
{
	[super viewDidLoad];

	[self.tableView registerClass: [UITableViewCell class]
		forCellReuseIdentifier: cellReuseIdentifier];

	// Uncomment the following line to preserve selection between presentations.
	// self.clearsSelectionOnViewWillAppear = NO;

	// Uncomment the following line to display an Edit button in the navigation bar for this view controller.
	// self.navigationItem.rightBarButtonItem = self.editButtonItem;
}

- (void) didReceiveMemoryWarning
{
	[super didReceiveMemoryWarning];
	// Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

- (NSInteger) numberOfSectionsInTableView: (UITableView *) tableView
{
	// Return the number of sections.
	return zones.count;
}

- (NSInteger) tableView: (UITableView *) tableView numberOfRowsInSection: (NSInteger) section
{
	// Return the number of rows in the section.
	NSArray *zone = [zones objectAtIndex: section];
	return zone.count;
}

- (UITableViewCell *) tableView: (UITableView *) tableView cellForRowAtIndexPath: (NSIndexPath *) indexPath
{
	UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier: cellReuseIdentifier forIndexPath: indexPath];

	// Configure the cell...
	NSArray *zone = [zones objectAtIndex: indexPath.section];
	cell.textLabel.text = [zone objectAtIndex: indexPath.row];
	return cell;
}

- (NSString *) tableView: (UITableView *) tableView titleForHeaderInSection: (NSInteger) section {
	return [headers objectAtIndex: section];
}


/*
// Override to support conditional editing of the table view.
- (BOOL) tableView: (UITableView *) tableView canEditRowAtIndexPath: (NSIndexPath *) indexPath
{
	// Return NO if you do not want the specified item to be editable.
	return YES;
}
*/

/*
// Override to support editing the table view.
- (void) tableView: (UITableView *) tableView commitEditingStyle: (UITableViewCellEditingStyle) editingStyle forRowAtIndexPath: (NSIndexPath *) indexPath
{
	if (editingStyle == UITableViewCellEditingStyleDelete) {
		// Delete the row from the data source
		[tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
	}
	else if (editingStyle == UITableViewCellEditingStyleInsert) {
		// Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
	}
}
*/

/*
// Override to support rearranging the table view.
- (void) tableView: (UITableView *) tableView moveRowAtIndexPath: (NSIndexPath *) fromIndexPath toIndexPath: (NSIndexPath *) toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL) tableView: (UITableView *) tableView canMoveRowAtIndexPath: (NSIndexPath *) indexPath
{
// Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/

#pragma mark - Table view delegate

- (void) tableView: (UITableView *) tableView didSelectRowAtIndexPath: (NSIndexPath *) indexPath
{
	UITableViewCell *cell = [tableView cellForRowAtIndexPath: indexPath];
	
	//Toggle the cell's checkmark.
	if (cell.accessoryType == UITableViewCellAccessoryNone) {
		cell.accessoryType = UITableViewCellAccessoryCheckmark;
	} else {
		cell.accessoryType = UITableViewCellAccessoryNone;
	}
}

@end
